import React, { useEffect } from "react";
import { useState } from "react";
import { User, Flight, FlightCreate } from "../Types";
import { createFlight } from "../Api";

export const useCreateFlight = (flight_data: FlightCreate) => {
	const [error, setError] = useState<string | null>(null);
	const [flight, setFlight] = useState<Flight>();

	useEffect(() => {
		setError(null);

        const token = localStorage.getItem("token");
        if (!token) {
            setError("No token!");
            return;
        }

		createFlight(flight_data, token)
			.then((data) => {
				setFlight(data);
			})
			.catch((error) => {
				setError(error as string);
			});
	}, []);

	return { flight, error };
};
